## ros-jazzy-controller-interface 4.18.0

=== debian/changelog ===
ros-jazzy-controller-interface (4.18.0-1bookworm) bookworm; urgency=high

  * Adapt controller Reference/StateInterfaces to New Way of Exporting (variant support) (#1689 <https://github.com/ros-controls/ros2_control/issues/1689>)
  * [ControllerInterface] Fix to properly propagate the controller NodeOptions (#1762 <https://github.com/ros-controls/ros2_control/issues/1762>)
  * [Controller Interface] Make assign and release interfaces virtual (#1743 <https://github.com/ros-controls/ros2_control/issues/1743>)
  * Contributors: Manuel Muth, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.17.0-1bookworm) bookworm; urgency=high

  * Rename get_state and set_state Functions to get/set_lifecylce_state (variant support) (#1683 <https://github.com/ros-controls/ros2_control/issues/1683>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.16.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Aug 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.16.0-1bookworm) bookworm; urgency=high

  * Fix params_file typo in spawner and update release notes for use_global_arguments (#1701 <https://github.com/ros-controls/ros2_control/issues/1701>)
  * Avoid using the global arguments for internal controller nodes (#1694 <https://github.com/ros-controls/ros2_control/issues/1694>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.14.0-1bookworm) bookworm; urgency=high

  * Unused header cleanup (#1627 <https://github.com/ros-controls/ros2_control/issues/1627>)
  * move critical variables to the private context (#1623 <https://github.com/ros-controls/ros2_control/issues/1623>)
  * Contributors: Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.13.0-1bookworm) bookworm; urgency=high

  * [ControllerChaining] Export state interfaces from chainable controllers (#1021 <https://github.com/ros-controls/ros2_control/issues/1021>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.12.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.11.0-1bookworm) bookworm; urgency=high

  * Fix dependencies for source build (#1533 <https://github.com/ros-controls/ros2_control/issues/1533>)
  * Add find_package for ament_cmake_gen_version_h (#1534 <https://github.com/ros-controls/ros2_control/issues/1534>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.10.0-1bookworm) bookworm; urgency=high

  * Working async controllers and components [not synchronized] (#1041 <https://github.com/ros-controls/ros2_control/issues/1041>)
  * Contributors: Márk Szitanics

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.9.0-1bookworm) bookworm; urgency=high

  * return the proper const object of the pointer in the const method (#1494 <https://github.com/ros-controls/ros2_control/issues/1494>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.8.0-1bookworm) bookworm; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (#1449 <https://github.com/ros-controls/ros2_control/issues/1449>)
  * Use ament_cmake generated rclcpp version header (#1448 <https://github.com/ros-controls/ros2_control/issues/1448>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.7.0-1bookworm) bookworm; urgency=high

  * add missing compiler definitions of RCLCPP_VERSION_MAJOR (#1440 <https://github.com/ros-controls/ros2_control/issues/1440>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.6.0-1bookworm) bookworm; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * added conditioning to have rolling tags compilable in older versions (#1422 <https://github.com/ros-controls/ros2_control/issues/1422>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.5.0-1bookworm) bookworm; urgency=high

  * A method to get node options to setup the controller node #api-breaking (#1169 <https://github.com/ros-controls/ros2_control/issues/1169>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.3.0-1bookworm) bookworm; urgency=high

  * Issue 695: Changing 'namespace_' variables to 'node_namespace' to make it more explicit (#1239 <https://github.com/ros-controls/ros2_control/issues/1239>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-jazzy-controller-interface (4.2.0-1bookworm) bookworm; urgency=high




